summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2020-11-27 16:57:21 +0200
committerLars Wirzenius <liw@liw.fi>2020-11-28 10:37:40 +0200
commitaa6709b2f657a964c2af04f6370e7eb7c117bf9e (patch)
tree9e0f5ba56f45eb24d286ac38a67b27ed0899f9d6 /check
parentb5b5884097219d77aa0b4cd6ad4d3a9c1407f5a6 (diff)
downloadsummain-rs-aa6709b2f657a964c2af04f6370e7eb7c117bf9e.tar.gz
feat: implement Summain in Rust
Diffstat (limited to 'check')
-rwxr-xr-xcheck35
1 files changed, 35 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..0445bf5
--- /dev/null
+++ b/check
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# Run automated tests for the project.
+
+set -euo pipefail
+
+quiet=-q
+hideok=chronic
+if [ "$#" -gt 0 ]
+then
+ case "$1" in
+ verbose | -v | --verbose)
+ quiet=
+ hideok=
+ ;;
+ esac
+fi
+
+got_cargo_cmd()
+{
+ cargo --list | grep " $1 " > /dev/null
+}
+
+cargo build --all-targets $quiet
+got_cargo_cmd clippy && cargo clippy $quiet
+got_cargo_cmd fmt && cargo fmt -- --check
+
+sp-docgen summain.md -o summain.html
+sp-docgen summain.md -o summain.pdf
+
+sp-codegen summain.md -o test.py
+rm -f test.log
+$hideok python3 test.py --log test.log "$@"
+
+echo "Everything seems to be in order."